// File           : Form1.cs 
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2006
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace LogFontExample
{
    /// <summary>
    /// Form1 is a demonstration of the Font.ToLogFont method
    /// </summary>
    public partial class Form1 : Form
    {
        /// <summary>
        /// Constructs a Form1 object
        /// </summary>
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Font font = new Font(textBoxFontFamily.Text, 8);
            LOGFONT logFont = new LOGFONT();
            font.ToLogFont(logFont);
            ShowLogFont(logFont);            
        }

        private void ShowLogFont(LOGFONT logFont)
        {
            textBoxShow.Text = String.Empty;
            textBoxShow.Text += "Height: " + logFont.lfHeight.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Width: " + logFont.lfWidth.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Escapement: " + logFont.lfEscapement.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Orientation: " + logFont.lfOrientation.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Weight: " + logFont.lfWeight.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Italic: " + logFont.lfItalic.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Underline: " + logFont.lfUnderline.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "StrikeOut: " + logFont.lfStrikeOut.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "CharSet: " + logFont.lfCharSet.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "OutPrecision: " + logFont.lfOutPrecision.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "ClipPrecision: " + logFont.lfClipPrecision.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "Quality: " + logFont.lfQuality.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "PitchAndFamily: " + logFont.lfPitchAndFamily.ToString() + System.Environment.NewLine;
            textBoxShow.Text += "FaceName: " + logFont.lfFaceName + System.Environment.NewLine;
        }
    }

    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]
    class LOGFONT
    {
        public int lfHeight;
        public int lfWidth;
        public int lfEscapement;
        public int lfOrientation;
        public int lfWeight;
        public byte lfItalic;
        public byte lfUnderline;
        public byte lfStrikeOut;
        public byte lfCharSet;
        public byte lfOutPrecision;
        public byte lfClipPrecision;
        public byte lfQuality;
        public byte lfPitchAndFamily;
        [MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]
        public string lfFaceName;
    }
}