// File           : GlobalResourceProviderProxyGenerator.cs
// Original Author: Guy Smith-Ferrier
// Date Created   : July 2008
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using Microsoft.VisualStudio.Shell.Interop;
using System.Collections;
using System.Runtime.InteropServices;
using Resources.Tools;
namespace Internationalization.VisualStudio.Design.Serialization
{
    [Guid("96A01E87-11D4-4ecd-8C58-9A4AA4356994")]
    public class GlobalResourceProviderProxyGenerator : BaseResourceCodeGeneratorWithSite, IVsRefactorNotify
    {
        protected override System.CodeDom.CodeCompileUnit GenerateCodeCompileUnit(
            IDictionary resourceList, string fileNameWithoutExtension, string fileNameSpace,
            string resourcesNamespace, System.CodeDom.Compiler.CodeDomProvider codeProvider, bool internalClass,
            out string[] strArray)
        {
            // generate a strongly typed resource class CodeCompileUnit with the difference that the generated 
            // code statements have changed from:-
            // if ((resourceMan == null))
            // {
            //     System.Resources.ResourceManager temp = new System.Resources.ResourceManager("Resources.strings", global::System.Reflection.Assembly.Load("App_GlobalResources"));
            //     resourceMan = temp;
            // }
            // return resourceMan;
            //
            // to:-
            //
            // if ((resourceMan == null))
            // {
            //     System.Resources.ResourceManager temp = Internationalization.ResourceManagerProvider.GetResourceManager("Resources.strings", global::System.Reflection.Assembly.Load("App_GlobalResources"));
            //     resourceMan = temp;
            // }
            return StronglyTypedResourceBuilderHelper.GenerateCodeCompileUnit(
                resourceList, fileNameWithoutExtension, "Resources", codeProvider, internalClass,
                out strArray, ResourceManagerGetStatementChange.Global);
        }
    }
}