// File           : PseudoTranslation.cs
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2005
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Globalization;

namespace Internationalization.Common
{
	/// <summary>
	/// PseudoTranslation is a place to store a reference to the culture which is used for pseudo translation
	/// </summary>
	public class PseudoTranslation
	{
		// With apologies to the people of Albania, I have hijacked the Albanian language for a pseudo translation
		// culture.
		private static CultureInfo cultureInfo = new CultureInfo("sq");
		/// <summary>
		/// CultureInfo is the culture info object which represents the pseudo translation for testing purposes
		/// </summary>
		public static CultureInfo CultureInfo
		{
			get {return cultureInfo;}
			set {cultureInfo = value;}
		}
	}
}
