// File           : Form1.cs
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2006
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Globalization;
using Internationalization.Common;

namespace SetInputLanguageExample
{
    /// <summary>
    /// Form1 provides an example of setting the input language for an application
    /// </summary>
    public partial class Form1 : Form
    {
        /// <summary>
        /// Constructs a Form1 object
        /// </summary>
        public Form1()
        {
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ja-JP");
            InitializeComponent();
            labelCurrentUICulture.Text = "CurrentUICulture: " + Thread.CurrentThread.CurrentUICulture.DisplayName;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(Thread.CurrentThread.CurrentUICulture);
            // GlobalizationUtilities.SetInputLanguage();
        }
    }
}