// File           : DialogCultureDictatedByOperatingSystem.cs 
// Original Author: Guy Smith-Ferrier
// Date Created   : September 2005
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Specialized;
using System.Text;
using Microsoft.Cci;
using Microsoft.FxCop.Sdk;

namespace GlobalizationRules
{
	/// <summary>
    /// DialogCultureDictatedByOperatingSystem detects the use of classes where the culture is dictated by the
    /// operating system
	/// </summary>
	public class DialogCultureDictatedByOperatingSystem: NewObjectRule
	{
        /// <summary>
        /// Constructs a DialogCultureDictatedByOperatingSystem object
        /// </summary>
		public DialogCultureDictatedByOperatingSystem(): 
			base("DialogCultureDictatedByOperatingSystem", new string[]
				{
					"System.Windows.Forms.OpenFileDialog",
					"System.Windows.Forms.SaveFileDialog",
					"System.Windows.Forms.FolderBrowserDialog",
					"System.Windows.Forms.FontDialog",
					"System.Windows.Forms.ColorDialog",
					"System.Windows.Forms.PrintDialog",
					"System.Windows.Forms.PageSetupDialog",
					"System.Windows.Forms.MessageBox"
				})
		{
		}
	}
}
