// File           : Program.cs 
// Original Author: Guy Smith-Ferrier
// Date Created   : October 2007
// Notes          : This file is part of the downloadable source code for .NET Internationalization, by
//                  Guy Smith-Ferrier, published by Addison-Wesley. See http://www.dotneti18n.com for details.
// Disclaimer     : No warranty is provided. Use at your own risk.
// Modification   : You are free to modify this code providing that this block of comments is not altered
//                  and is placed before any code.
using System;
using System.Collections.Generic;
using System.Text;
using Internationalization.ClickOnce;
using System.IO;

namespace SetPublishState
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.GetLength(0) < 2)
                BadSyntax();
            else
            {
                string projectFilename = args[0];
                if (! File.Exists(projectFilename))
                {
                    BadSyntax();
                    Console.WriteLine(String.Format(ProgramResources.ProjectFileDoesNotExist, projectFilename));
                }
                else
                {
                    string[] changes = new string[args.GetLength(0) - 1];
                    Array.Copy(args, 1, changes, 0, args.GetLength(0) - 1);

                    Console.WriteLine(ProgramResources.SetPublishState);
                    Console.WriteLine(String.Empty);

                    if (PublishStateHelper.SetPublishState(projectFilename, changes))
                        Console.WriteLine(String.Format(ProgramResources.ChangesApplied, projectFilename));
                    else
                        Console.WriteLine(ProgramResources.NoChangesNecessary);
                }
            }
        }

        private static void BadSyntax()
        {
            System.Environment.ExitCode = 1;
            Console.WriteLine(ProgramResources.SetPublishState);
            Console.WriteLine(String.Empty);
            Console.WriteLine(ProgramResources.Syntax1);
            Console.WriteLine(String.Empty);
            Console.WriteLine(ProgramResources.Syntax2);
            Console.WriteLine(String.Empty);
            Console.WriteLine(ProgramResources.Syntax3);
            Console.WriteLine(ProgramResources.Syntax4);
            Console.WriteLine(String.Empty);
            Console.WriteLine(ProgramResources.Syntax5);
            Console.WriteLine(ProgramResources.Syntax6);
            Console.WriteLine(String.Empty);
        }
    }
}
